Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.primitives
Class Primitives

    java.lang.Object
      com.google.common.primitives.Primitives

    public final class Primitives

extends Object

Contains static utility methods pertaining to primitive types and their corresponding wrapper types.

Since:
  1.0
Author:
  Kevin Bourrillion

Method Summary
`static Set<Class<?>>` | `allPrimitiveTypes()` Returns an immutable set of all nine primitive types (including `void`).
`static Set<Class<?>>` | `allWrapperTypes()` Returns an immutable set of all nine primitive-wrapper types (including `Void`).
`static boolean` | `isWrapperType(Class<?> type)` Returns `true` if `type` is one of the nine primitive-wrapper types, such as `Integer`.
`static
`<T> Class<T>`
` | `unwrap(Class<T> type)` Returns the corresponding primitive type of `type` if it is a wrapper type; otherwise returns `type` itself.
`static
`<T> Class<T>`
` | `wrap(Class<T> type)` Returns the corresponding wrapper type of `type` if it is a primitive type; otherwise returns `type` itself.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### allPrimitiveTypes

    public static Set<Class<?>> allPrimitiveTypes()

  Returns an immutable set of all nine primitive types (including `void`). Note that a simpler way to test whether a `Class` instance is a member of this set is to call `Class.isPrimitive()`.

  Since:
    3.0

### allWrapperTypes

    public static Set<Class<?>> allWrapperTypes()

  Returns an immutable set of all nine primitive-wrapper types (including `Void`).

  Since:
    3.0

### isWrapperType

    public static boolean isWrapperType(Class<?> type)

  Returns `true` if `type` is one of the nine primitive-wrapper types, such as `Integer`.

  See Also:
    `Class.isPrimitive()`

### wrap

    public static <T> Class<T> wrap(Class<T> type)

  Returns the corresponding wrapper type of `type` if it is a primitive type; otherwise returns `type` itself. Idempotent.

           wrap(int.class) == Integer.class
           wrap(Integer.class) == Integer.class
           wrap(String.class) == String.class

### unwrap

    public static <T> Class<T> unwrap(Class<T> type)

  Returns the corresponding primitive type of `type` if it is a wrapper type; otherwise returns `type` itself. Idempotent.

           unwrap(Integer.class) == int.class
           unwrap(int.class) == int.class
           unwrap(String.class) == String.class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.